package com.huaching.parking.local.parking_local_general.config.zhaf;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-17 18:44
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 18:44
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Component
@ConfigurationProperties(prefix = "dz")
public class DZConfig {

    private static String address;
    private static String user;
    private static String pwd;
    private static String key;
    private static String parkCode;

    private static String saveImgUrl;

    public static String getSaveImgUrl() {
        return saveImgUrl;
    }

    public static void setSaveImgUrl(String saveImgUrl) {
        DZConfig.saveImgUrl = saveImgUrl;
    }

    public static String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        DZConfig.address = address;
    }

    public static String getUser() {
        return user;
    }

    public void setUser(String user) {
        DZConfig.user = user;
    }

    public static String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        DZConfig.pwd = pwd;
    }

    public static String getKey() {
        return key;
    }

    public void setKey(String key) {
        DZConfig.key = key;
    }

    public static String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        DZConfig.parkCode = parkCode;
    }
}
