package com.huaching.parking.local.parking_local_general.domain.local.po;

import java.util.Date;

public class ThsCarAdvanceInOutRecordsPO {
    private Integer id;

    /**
    * 车场编号
    */
    private String parkCode;

    /**
    * 车牌号
    */
    private String carNo;

    /**
    * 进出时间
    */
    private Date capTime;

    /**
    * 进出通道code
    */
    private String capChannelCode;

    /**
    * 进出标识 1： 进 2： 出
    */
    private Integer capFlag;

    /**
    * 抓拍图片url
    */
    private String capImgUrl;

    /**
    * 状态：
    * 0 开闸出场
    * 1 费用未缴清依然在场
    * 2 开闸失败
    * 3 数据库更新出场记录失败
    */
    private Integer status;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        this.parkCode = parkCode == null ? null : parkCode.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Date getCapTime() {
        return capTime;
    }

    public void setCapTime(Date capTime) {
        this.capTime = capTime;
    }

    public String getCapChannelCode() {
        return capChannelCode;
    }

    public void setCapChannelCode(String capChannelCode) {
        this.capChannelCode = capChannelCode == null ? null : capChannelCode.trim();
    }

    public Integer getCapFlag() {
        return capFlag;
    }

    public void setCapFlag(Integer capFlag) {
        this.capFlag = capFlag;
    }

    public String getCapImgUrl() {
        return capImgUrl;
    }

    public void setCapImgUrl(String capImgUrl) {
        this.capImgUrl = capImgUrl == null ? null : capImgUrl.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}