package com.huaching.parking.local.parking_local_general.domain.local.po;

import java.util.Date;

public class ThsChargingRulesPO {
    private Integer id;

    /**
    * 车场编号
    */
    private String parkCode;

    /**
    * 计费类型（0 按次收费 1 按时段收费 2 按间隔收费 ）
    */
    private Integer chargeType;

    /**
    * 免费停车时长（分钟单位）
    */
    private Integer freeTime;

    /**
    * 一次停车的最高费用（单位分）,chargeType为0时不会有此参数
    */
    private Integer maxOneTimeMoney;

    /**
    * 一天停车的最高费用（单位分），chargeType为0时不会有此参数
    */
    private Integer maxOneDayMoney;

    /**
    * 计费规则详情，根据chargeType不同此字段内容也不同
    */
    private String chargeDetails;

    /**
    * 创建时间
    */
    private Date creatTime;

    /**
    * 更新时间
    */
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        this.parkCode = parkCode == null ? null : parkCode.trim();
    }

    public Integer getChargeType() {
        return chargeType;
    }

    public void setChargeType(Integer chargeType) {
        this.chargeType = chargeType;
    }

    public Integer getFreeTime() {
        return freeTime;
    }

    public void setFreeTime(Integer freeTime) {
        this.freeTime = freeTime;
    }

    public Integer getMaxOneTimeMoney() {
        return maxOneTimeMoney;
    }

    public void setMaxOneTimeMoney(Integer maxOneTimeMoney) {
        this.maxOneTimeMoney = maxOneTimeMoney;
    }

    public Integer getMaxOneDayMoney() {
        return maxOneDayMoney;
    }

    public void setMaxOneDayMoney(Integer maxOneDayMoney) {
        this.maxOneDayMoney = maxOneDayMoney;
    }

    public String getChargeDetails() {
        return chargeDetails;
    }

    public void setChargeDetails(String chargeDetails) {
        this.chargeDetails = chargeDetails == null ? null : chargeDetails.trim();
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}