package com.huaching.parking.local.parking_local_general.domain.local.po;

import java.util.Date;

public class ThsMemberCarPO {
    private Integer id;

    /**
    * 车场id
    */
    private String parkCode;

    /**
    * 会员车牌号
    */
    private String carNo;

    /**
    * 会员卡id
    */
    private String cardId;

    /**
    * 会员开始时间
    */
    private Date startDate;

    /**
    * 会员结束时间
    */
    private Date endDate;

    /**
    * 会员卡类型
    * 1 月租全免
    * 2 权益时间 单位：秒
    * 3 权益金额 单位：分
    */
    private Integer carType;

    /**
    * 权益时间 单位：秒
    */
    private Integer benefitsTime;

    /**
    * 权益金额 单位：分
    */
    private Integer benefitsMoney;

    /**
    * 会员标识
    */
    private String vipFlag;

    /**
    * 权益详情备注
    */
    private String benefitsRemark;

    /**
    * 记录创建时间
    */
    private Date creatTime;

    /**
    * 记录更新时间
    */
    private Date updateTime;

    /**
    * 备注
    */
    private String remake;

    /**
    * 状态
    */
    private Integer status;

    /**
    * 会员姓名
    */
    private String memberName;

    /**
    * 会员电话
    */
    private String memberPhone;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        this.parkCode = parkCode == null ? null : parkCode.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId == null ? null : cardId.trim();
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getCarType() {
        return carType;
    }

    public void setCarType(Integer carType) {
        this.carType = carType;
    }

    public Integer getBenefitsTime() {
        return benefitsTime;
    }

    public void setBenefitsTime(Integer benefitsTime) {
        this.benefitsTime = benefitsTime;
    }

    public Integer getBenefitsMoney() {
        return benefitsMoney;
    }

    public void setBenefitsMoney(Integer benefitsMoney) {
        this.benefitsMoney = benefitsMoney;
    }

    public String getVipFlag() {
        return vipFlag;
    }

    public void setVipFlag(String vipFlag) {
        this.vipFlag = vipFlag == null ? null : vipFlag.trim();
    }

    public String getBenefitsRemark() {
        return benefitsRemark;
    }

    public void setBenefitsRemark(String benefitsRemark) {
        this.benefitsRemark = benefitsRemark == null ? null : benefitsRemark.trim();
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake == null ? null : remake.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName == null ? null : memberName.trim();
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone == null ? null : memberPhone.trim();
    }
}