package com.huaching.parking.local.parking_local_general.domain.local.po;

import java.util.Date;

public class ThsParkMessagePO {
    private Integer id;

    /**
    * 车场编号
    */
    private String parkCode;

    /**
    * 车场名称
    */
    private String name;

    /**
    * 车场位置
    */
    private String address;

    /**
    * 位置 维度
    */
    private Double latitude;

    /**
    * 位置 经度
    */
    private Double longitude;

    /**
    * 总车位数
    */
    private Integer totalSpace;

    /**
    * 剩余车位数
    */
    private Integer redidueSpace;

    /**
    * 创建时间
    */
    private Date creatTime;

    /**
    * 更新时间
    */
    private Date updateTime;

    /**
    * 车场状态：0 停用 1正常
    */
    private Integer status;

    /**
    * 车场免费状态 0 收费 1 免费
    */
    private Integer freeStatus;

    /**
    * 车场收费类型：
    * 
    * 0 正常收费
    * 
    * 1 24小时
    * 
    * 2 fee
    * 
    * 3 免费
    */
    private Integer chargeType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        this.parkCode = parkCode == null ? null : parkCode.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Integer getTotalSpace() {
        return totalSpace;
    }

    public void setTotalSpace(Integer totalSpace) {
        this.totalSpace = totalSpace;
    }

    public Integer getRedidueSpace() {
        return redidueSpace;
    }

    public void setRedidueSpace(Integer redidueSpace) {
        this.redidueSpace = redidueSpace;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getFreeStatus() {
        return freeStatus;
    }

    public void setFreeStatus(Integer freeStatus) {
        this.freeStatus = freeStatus;
    }

    public Integer getChargeType() {
        return chargeType;
    }

    public void setChargeType(Integer chargeType) {
        this.chargeType = chargeType;
    }
}