package com.huaching.parking.local.parking_local_general.domain.local.po;

import java.util.Date;

public class ThsParkingRecordsPO {
    private Integer id;

    /**
    * 车场编号
    */
    private String parkCode;

    /**
    * 车牌号
    */
    private String carNo;

    /**
    * 进场时间
    */
    private Date inTime;

    /**
    * 出场时间
    */
    private Date outTime;

    /**
    * 记录创建时间
    */
    private Date createTime;

    /**
    * 记录更新时间
    */
    private Date updateTime;

    /**
    * 进场的通道编号
    */
    private String inChannelCode;

    /**
    * 出场的通道编号
    */
    private String outChannelCode;

    /**
    * 已支付金额(单位：分)
    */
    private Integer payedMoney;

    /**
    * 总金额
    */
    private Integer totalMoney;

    /**
    * 总优惠金额
    */
    private Integer couponMoney;

    /**
    * 车辆类型：
    * 
    * 1 小型车
    * 
    * 2 大型车
    * 
    * 3 其他
    * 
    * 4 未识别
    */
    private Integer carType;

    /**
    * 车辆颜色：
    * 
    * 0蓝色；1黄色；2白色；3黑色；4绿色
    */
    private Integer carColor;

    /**
    * 车辆在场状态： 0 已出场  1 在场
    */
    private Integer onParkStatus;

    /**
    * 费用全部缴清状态：0 未缴清 1 已缴清
    */
    private Integer payUpStatus;

    /**
    * 进场抓拍图片url
    */
    private String inImgUrl;

    /**
    * 出场抓拍图片url
    */
    private String outImgUrl;

    /**
    * 备注
    */
    private String remake;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        this.parkCode = parkCode == null ? null : parkCode.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Date getInTime() {
        return inTime;
    }

    public void setInTime(Date inTime) {
        this.inTime = inTime;
    }

    public Date getOutTime() {
        return outTime;
    }

    public void setOutTime(Date outTime) {
        this.outTime = outTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInChannelCode() {
        return inChannelCode;
    }

    public void setInChannelCode(String inChannelCode) {
        this.inChannelCode = inChannelCode == null ? null : inChannelCode.trim();
    }

    public String getOutChannelCode() {
        return outChannelCode;
    }

    public void setOutChannelCode(String outChannelCode) {
        this.outChannelCode = outChannelCode == null ? null : outChannelCode.trim();
    }

    public Integer getPayedMoney() {
        return payedMoney;
    }

    public void setPayedMoney(Integer payedMoney) {
        this.payedMoney = payedMoney;
    }

    public Integer getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(Integer totalMoney) {
        this.totalMoney = totalMoney;
    }

    public Integer getCouponMoney() {
        return couponMoney;
    }

    public void setCouponMoney(Integer couponMoney) {
        this.couponMoney = couponMoney;
    }

    public Integer getCarType() {
        return carType;
    }

    public void setCarType(Integer carType) {
        this.carType = carType;
    }

    public Integer getCarColor() {
        return carColor;
    }

    public void setCarColor(Integer carColor) {
        this.carColor = carColor;
    }

    public Integer getOnParkStatus() {
        return onParkStatus;
    }

    public void setOnParkStatus(Integer onParkStatus) {
        this.onParkStatus = onParkStatus;
    }

    public Integer getPayUpStatus() {
        return payUpStatus;
    }

    public void setPayUpStatus(Integer payUpStatus) {
        this.payUpStatus = payUpStatus;
    }

    public String getInImgUrl() {
        return inImgUrl;
    }

    public void setInImgUrl(String inImgUrl) {
        this.inImgUrl = inImgUrl == null ? null : inImgUrl.trim();
    }

    public String getOutImgUrl() {
        return outImgUrl;
    }

    public void setOutImgUrl(String outImgUrl) {
        this.outImgUrl = outImgUrl == null ? null : outImgUrl.trim();
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake == null ? null : remake.trim();
    }
}