package com.huaching.parking.local.parking_local_general.domain.local.po;

import java.util.Date;

public class ThsPayOrderRecordsPO {
    private Integer id;

    /**
    * 支付记录账单号
    */
    private String orderNo;

    /**
    * 车场编号
    */
    private String parkCode;

    /**
    * 车牌号
    */
    private String carNo;

    /**
    * 关联的停车记录id
    */
    private Integer parkingRecordsId;

    /**
    * 支付金额(单位：分)
    */
    private Integer payedMoney;

    /**
    * 优惠金额
    */
    private Integer couponMoney;

    /**
    * 应支付金额(单位：分)
    */
    private Integer payableMoney;

    /**
    * 支付状态：0 未支付 1 已支付
    */
    private Integer payStatus;

    /**
    * 支付时间
    */
    private Date payTime;

    /**
    * 支付类型：
    * 
    * 1：支付宝 2：微信 3：现金 4：其他
    */
    private Integer payType;

    /**
    * 支付终端类型:
    * 
    * 11：支付宝小程序 12：支付宝生活号 
    * 
    * 21:  微信小程序 22：微信公众号
    * 
    * 31：现金
    */
    private Integer terminalType;

    /**
    * 创建时间
    */
    private Date creatTime;

    /**
    * 更新时间
    */
    private Date updateTime;

    /**
    * 操作人
    */
    private String operatorUser;

    /**
    * 备注字段
    */
    private String remake;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo == null ? null : orderNo.trim();
    }

    public String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        this.parkCode = parkCode == null ? null : parkCode.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Integer getParkingRecordsId() {
        return parkingRecordsId;
    }

    public void setParkingRecordsId(Integer parkingRecordsId) {
        this.parkingRecordsId = parkingRecordsId;
    }

    public Integer getPayedMoney() {
        return payedMoney;
    }

    public void setPayedMoney(Integer payedMoney) {
        this.payedMoney = payedMoney;
    }

    public Integer getCouponMoney() {
        return couponMoney;
    }

    public void setCouponMoney(Integer couponMoney) {
        this.couponMoney = couponMoney;
    }

    public Integer getPayableMoney() {
        return payableMoney;
    }

    public void setPayableMoney(Integer payableMoney) {
        this.payableMoney = payableMoney;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getTerminalType() {
        return terminalType;
    }

    public void setTerminalType(Integer terminalType) {
        this.terminalType = terminalType;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getOperatorUser() {
        return operatorUser;
    }

    public void setOperatorUser(String operatorUser) {
        this.operatorUser = operatorUser == null ? null : operatorUser.trim();
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake == null ? null : remake.trim();
    }
}