package com.huaching.parking.local.parking_local_general.mapper.local;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsMemberCarPO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsMemberCarPOExample;

import java.util.List;

import org.apache.ibatis.annotations.*;

public interface ThsMemberCarPOMapper {
    long countByExample(ThsMemberCarPOExample example);

    int deleteByExample(ThsMemberCarPOExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ThsMemberCarPO record);

    int insertSelective(ThsMemberCarPO record);

    List<ThsMemberCarPO> selectByExample(ThsMemberCarPOExample example);

    ThsMemberCarPO selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ThsMemberCarPO record, @Param("example") ThsMemberCarPOExample example);

    int updateByExample(@Param("record") ThsMemberCarPO record, @Param("example") ThsMemberCarPOExample example);

    int updateByPrimaryKeySelective(ThsMemberCarPO record);

    int updateByPrimaryKey(ThsMemberCarPO record);

    /**
     * 根据车牌号码，会员类型，车场id获取会员信息
     *
     * @param
     * @return
     */
    ThsMemberCarPO selectMemberCarDataInfo(@Param("parkCode") String parkCode, @Param("carNo") String carNo, @Param("carType") Integer carType);

    int deleteByparkCodeAndCarNo(@Param("parkCode") String parkCode, @Param("carNo") String carNo);
}