package com.huaching.parking.local.parking_local_general.service.local;

import com.huaching.parking.local.parking_local_general.domain.local.dto.request.ThsMemberCarDTO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsMemberCarPO;

/**
 * @program: parking_local_general
 * @description: 会员车操作帮助类
 * @author: lidongsheng
 * @createData: 2020-04-29 10:50
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-29 10:50
 * @updateContent: 会员车操作帮助类
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface MemberCarHelperService {

    /**
     * 会员权益同步
     * @param thsMemberCarDTO
     * @return
     */
    boolean memberSync(ThsMemberCarDTO thsMemberCarDTO);

    /**
     * 会员权益删除
     * @return
     */
    boolean memberDel(String parkCode,String carNo);

    /**
     * 检查是否为会员
     * @param parkCode
     * @param carNo
     * @return
     */
    ThsMemberCarPO vaildMember(String parkCode, String carNo);


}
