package com.huaching.parking.local.parking_local_general.service.local.base;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsParkMessagePO;

/**
 * @program: parking_local_general
 * @description: 车场信息与数据库交互service
 * @author: lidongsheng
 * @createData: 2020-04-17 10:59
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 10:59
 * @updateContent: 车场信息Service
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface ParkMessageService {

    /**
     * 通过parkCode得到车场信息
     * @param parkCode
     * @return
     */
    ThsParkMessagePO getByParkCode(String parkCode);

}
