package com.huaching.parking.local.parking_local_general.service.local.base.impl;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChargingRulesPO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChargingRulesPOExample;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsChargingRulesPOMapper;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsParkingRecordsPOMapper;
import com.huaching.parking.local.parking_local_general.service.local.base.ChargingRulesService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-22 19:29
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-22 19:29
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class ChargingRulesServiceImpl implements ChargingRulesService {

    private static final Logger logger = LoggerFactory.getLogger(ChargingRulesServiceImpl.class);

    @Autowired
    private ThsChargingRulesPOMapper mapper;

    @Override
    public ThsChargingRulesPO find(String parkCode) {
        ThsChargingRulesPOExample example = new ThsChargingRulesPOExample();
        ThsChargingRulesPOExample.Criteria criteria = example.createCriteria();
        List<ThsChargingRulesPO> list = mapper.selectByExample(example);
        if (list == null || list.size() == 0) {
            return null;
        }
        return list.get(0);
    }
}
