package com.huaching.parking.local.parking_local_general.service.local.base.impl;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsParkMessagePO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsParkMessagePOExample;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsParkMessagePOMapper;
import com.huaching.parking.local.parking_local_general.service.local.base.ParkMessageService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-30 15:08
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-30 15:08
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class ParkMessageServiceImpl implements ParkMessageService {

    private static final Logger logger = LoggerFactory.getLogger(ParkMessageServiceImpl.class);

    private ThsParkMessagePOMapper mapper;

    @Override
    public ThsParkMessagePO getByParkCode(String parkCode) {
        ThsParkMessagePOExample example = new ThsParkMessagePOExample();
        ThsParkMessagePOExample.Criteria criteria = example.createCriteria();
        criteria.andParkCodeEqualTo(parkCode);
        List<ThsParkMessagePO> list = mapper.selectByExample(example);

        return list != null ? list.get(0) : null;
    }
}
