package com.huaching.parking.local.parking_local_general;

import com.huaching.parking.transfer.config.EventConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Import;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@EnableTransactionManagement
@ComponentScan(basePackages = {"com.huaching.parking.local.parking_local_general", "com.huaching.parking.transfer"})
@Import({EventConfiguration.class})
@MapperScan(basePackages = {"com.huaching.parking.local.parking_local_general.mapper.local", "com.huaching.parking.transfer.mapper"})
public class ParkingLocalGeneralApplication {

    public static void main(String[] args) {
        SpringApplication.run(ParkingLocalGeneralApplication.class, args);
    }

}
