package com.huaching.parking.local.parking_local_general.config.local;//package com.huaching.parking.local.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 * @program: ths-web
 * @description:
 * @author: lidongsheng
 * @createData: 2019-12-17 18:10
 * @updateAuthor: lidongsheng
 * @updateData: 2019-12-17 18:10
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2019. All rights reserved
 * ************************************************
 */
@Configuration
public class WebMvcConfig extends WebMvcConfigurerAdapter {
        @Override
        public void addResourceHandlers(ResourceHandlerRegistry registry) {
            registry.addResourceHandler("swagger-ui.html")
                    .addResourceLocations("classpath:/META-INF/resources/");

            registry.addResourceHandler("/webjars/**")
                    .addResourceLocations("classpath:/META-INF/resources/webjars/");
        }

}
