package com.huaching.parking.local.parking_local_general.domain.local.po;

import java.util.Date;

public class ThsChargingRulesOldPO {
    private Integer id;

    private Integer parkId;

    private String no;

    private String name;

    private Integer carType;

    private Integer ruleType;

    /**
    * 1：次；2：时段
    */
    private Integer chargeType;

    /**
    * 免费时间
    */
    private Float freeTime;

    /**
    * 收费周期
    */
    private Float cycleTime;

    /**
    * 1:全天；2:白天夜间；
    */
    private Integer timeType;

    /**
    * 白天开始时间
    */
    private String dayStartTime;

    /**
    * 白天结束时间
    */
    private String dayEndTime;

    /**
    * 白天/全天 首时段
    */
    private String dayFirstTime;

    /**
    * 白天/全天 首时段价钱
    */
    private Float dayFirstTimePrice;

    private Float dayRemainTimePrice;

    /**
    * 白天最高收费
    */
    private Float dayMaximumAmount;

    /**
    * 夜晚开始时间
    */
    private String nightStartTime;

    /**
    * 白天结束时间
    */
    private String nightEndTime;

    /**
    * 夜间首段时间
    */
    private String nightFirstTime;

    private Float nightFirstTimePrice;

    /**
    * 夜晚剩余时间价格
    */
    private Float nightRemainTimePrice;

    /**
    * 夜间最大金额
    */
    private Float nightMaximumAmount;

    private Float alldayMaximumAmount;

    private Float dayTimesPrice;

    private Float nightTimesPrice;

    /**
    * 夜间周期
    */
    private Float nightCycleTime;

    /**
    * 车场默认收费为0,新增会员卡收费规则1
    */
    private Integer ismember;

    private Date createTime;

    private Date updateTime;

    /**
    * 启用标识 0、未启用 1、启用 2、删除
    */
    private Short flag;

    private Integer operatorId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getParkId() {
        return parkId;
    }

    public void setParkId(Integer parkId) {
        this.parkId = parkId;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no == null ? null : no.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Integer getCarType() {
        return carType;
    }

    public void setCarType(Integer carType) {
        this.carType = carType;
    }

    public Integer getRuleType() {
        return ruleType;
    }

    public void setRuleType(Integer ruleType) {
        this.ruleType = ruleType;
    }

    public Integer getChargeType() {
        return chargeType;
    }

    public void setChargeType(Integer chargeType) {
        this.chargeType = chargeType;
    }

    public Float getFreeTime() {
        return freeTime;
    }

    public void setFreeTime(Float freeTime) {
        this.freeTime = freeTime;
    }

    public Float getCycleTime() {
        return cycleTime;
    }

    public void setCycleTime(Float cycleTime) {
        this.cycleTime = cycleTime;
    }

    public Integer getTimeType() {
        return timeType;
    }

    public void setTimeType(Integer timeType) {
        this.timeType = timeType;
    }

    public String getDayStartTime() {
        return dayStartTime;
    }

    public void setDayStartTime(String dayStartTime) {
        this.dayStartTime = dayStartTime == null ? null : dayStartTime.trim();
    }

    public String getDayEndTime() {
        return dayEndTime;
    }

    public void setDayEndTime(String dayEndTime) {
        this.dayEndTime = dayEndTime == null ? null : dayEndTime.trim();
    }

    public String getDayFirstTime() {
        return dayFirstTime;
    }

    public void setDayFirstTime(String dayFirstTime) {
        this.dayFirstTime = dayFirstTime == null ? null : dayFirstTime.trim();
    }

    public Float getDayFirstTimePrice() {
        return dayFirstTimePrice;
    }

    public void setDayFirstTimePrice(Float dayFirstTimePrice) {
        this.dayFirstTimePrice = dayFirstTimePrice;
    }

    public Float getDayRemainTimePrice() {
        return dayRemainTimePrice;
    }

    public void setDayRemainTimePrice(Float dayRemainTimePrice) {
        this.dayRemainTimePrice = dayRemainTimePrice;
    }

    public Float getDayMaximumAmount() {
        return dayMaximumAmount;
    }

    public void setDayMaximumAmount(Float dayMaximumAmount) {
        this.dayMaximumAmount = dayMaximumAmount;
    }

    public String getNightStartTime() {
        return nightStartTime;
    }

    public void setNightStartTime(String nightStartTime) {
        this.nightStartTime = nightStartTime == null ? null : nightStartTime.trim();
    }

    public String getNightEndTime() {
        return nightEndTime;
    }

    public void setNightEndTime(String nightEndTime) {
        this.nightEndTime = nightEndTime == null ? null : nightEndTime.trim();
    }

    public String getNightFirstTime() {
        return nightFirstTime;
    }

    public void setNightFirstTime(String nightFirstTime) {
        this.nightFirstTime = nightFirstTime == null ? null : nightFirstTime.trim();
    }

    public Float getNightFirstTimePrice() {
        return nightFirstTimePrice;
    }

    public void setNightFirstTimePrice(Float nightFirstTimePrice) {
        this.nightFirstTimePrice = nightFirstTimePrice;
    }

    public Float getNightRemainTimePrice() {
        return nightRemainTimePrice;
    }

    public void setNightRemainTimePrice(Float nightRemainTimePrice) {
        this.nightRemainTimePrice = nightRemainTimePrice;
    }

    public Float getNightMaximumAmount() {
        return nightMaximumAmount;
    }

    public void setNightMaximumAmount(Float nightMaximumAmount) {
        this.nightMaximumAmount = nightMaximumAmount;
    }

    public Float getAlldayMaximumAmount() {
        return alldayMaximumAmount;
    }

    public void setAlldayMaximumAmount(Float alldayMaximumAmount) {
        this.alldayMaximumAmount = alldayMaximumAmount;
    }

    public Float getDayTimesPrice() {
        return dayTimesPrice;
    }

    public void setDayTimesPrice(Float dayTimesPrice) {
        this.dayTimesPrice = dayTimesPrice;
    }

    public Float getNightTimesPrice() {
        return nightTimesPrice;
    }

    public void setNightTimesPrice(Float nightTimesPrice) {
        this.nightTimesPrice = nightTimesPrice;
    }

    public Float getNightCycleTime() {
        return nightCycleTime;
    }

    public void setNightCycleTime(Float nightCycleTime) {
        this.nightCycleTime = nightCycleTime;
    }

    public Integer getIsmember() {
        return ismember;
    }

    public void setIsmember(Integer ismember) {
        this.ismember = ismember;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Short getFlag() {
        return flag;
    }

    public void setFlag(Short flag) {
        this.flag = flag;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }
}