package com.huaching.parking.local.parking_local_general.domain.zhaf;

import java.util.List;

/**
 * @program: parking_local_general
 * @description: 智慧安防设备接口调用统一返回参数
 * @author: lidongsheng
 * @createData: 2020-04-15 10:07
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-15 10:07
 * @updateContent: 智慧安防设备接口调用统一返回参数
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public class ResponseResultZHAF {

    /**
     * success : true
     * code : 0
     * msg : null
     * ext : null
     * value : {"msg":"注册成功0台设备,注册失败6台设备","successList":[],"errorList":[{"code":"DS-K5604-Z","msgs":["数据校验不通过，该设备已存在或设备型号错误"]}]}
     */

    private boolean success;
    private int code;
    private Object msg;
    private Object ext;
    private ValueBean value;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public Object getMsg() {
        return msg;
    }

    public void setMsg(Object msg) {
        this.msg = msg;
    }

    public Object getExt() {
        return ext;
    }

    public void setExt(Object ext) {
        this.ext = ext;
    }

    public ValueBean getValue() {
        return value;
    }

    public void setValue(ValueBean value) {
        this.value = value;
    }

    public static class ValueBean {
        /**
         * msg : 注册成功0台设备,注册失败6台设备
         * successList : []
         * errorList : [{"code":"DS-K5604-Z","msgs":["数据校验不通过，该设备已存在或设备型号错误"]}]
         */

        private String msg;
        private List<?> successList;
        private List<ErrorListBean> errorList;

        public String getMsg() {
            return msg;
        }

        public void setMsg(String msg) {
            this.msg = msg;
        }

        public List<?> getSuccessList() {
            return successList;
        }

        public void setSuccessList(List<?> successList) {
            this.successList = successList;
        }

        public List<ErrorListBean> getErrorList() {
            return errorList;
        }

        public void setErrorList(List<ErrorListBean> errorList) {
            this.errorList = errorList;
        }

        public static class ErrorListBean {
            /**
             * code : DS-K5604-Z
             * msgs : ["数据校验不通过，该设备已存在或设备型号错误"]
             */

            private String code;
            private List<String> msgs;

            public String getCode() {
                return code;
            }

            public void setCode(String code) {
                this.code = code;
            }

            public List<String> getMsgs() {
                return msgs;
            }

            public void setMsgs(List<String> msgs) {
                this.msgs = msgs;
            }
        }
    }
}
