package com.huaching.parking.local.parking_local_general.mapper.local;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsPayOrderRecordsPO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsPayOrderRecordsPOExample;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

public interface ThsPayOrderRecordsPOMapper {
    long countByExample(ThsPayOrderRecordsPOExample example);

    int deleteByExample(ThsPayOrderRecordsPOExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ThsPayOrderRecordsPO record);

    int insertSelective(ThsPayOrderRecordsPO record);

    List<ThsPayOrderRecordsPO> selectByExample(ThsPayOrderRecordsPOExample example);

    ThsPayOrderRecordsPO selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ThsPayOrderRecordsPO record, @Param("example") ThsPayOrderRecordsPOExample example);

    int updateByExample(@Param("record") ThsPayOrderRecordsPO record, @Param("example") ThsPayOrderRecordsPOExample example);

    int updateByPrimaryKeySelective(ThsPayOrderRecordsPO record);

    int updateByPrimaryKey(ThsPayOrderRecordsPO record);

    //自定义语句

    ThsPayOrderRecordsPO selectLatestRecordByPrId(@Param("parkingRecordsId") Integer parkingRecordsId, @Param("parkCode") String parkCode, @Param("carNo") String carNo, @Param("payStatus") Integer payStatus);

    ThsPayOrderRecordsPO selectLatestRecord(@Param("parkCode") String parkCode, @Param("carNo") String carNo, @Param("payStatus") Integer payStatus);

}