package com.huaching.parking.local.parking_local_general.service.local.base;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChannelMessagePO;

import java.util.List;

/**
 * @program: parking_local_general
 * @description: 通道信息与数据库交互service
 * @author: lidongsheng
 * @createData: 2020-04-17 18:05
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 18:05
 * @updateContent: 通道信息查询
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface ChannelMessageService {

    /**
     * 根据车场编号和通道编号查询通道信息
     * @param parkCode
     * @param channelCode
     * @return
     */
    ThsChannelMessagePO getChannelMessage(String parkCode, String channelCode);

    /**
     * 根据车场编号返回该车场得所有通道信息集合
     * @param parkCode
     * @return
     */
    List<ThsChannelMessagePO> getChannelsMessage(String parkCode);
}
