package com.huaching.parking.local.parking_local_general.service.local.base;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChargingRulesPO;

/**
 * @program: parking_local_general
 * @description: 收费规则相关Service
 * @author: lidongsheng
 * @createData: 2020-04-22 19:28
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-22 19:28
 * @updateContent: 收费规则相关Service
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface ChargingRulesService {

    /**
     * 根据车场编号获得该车场的收费规则
     * @param parkCode
     * @return
     */
    ThsChargingRulesPO find(String parkCode);
}
