package com.huaching.parking.local.parking_local_general.service.local.base;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsMemberCarPO;

/**
 * @program: parking_local_general
 * @description: 会员车辆数据库交互
 * @author: lidongsheng
 * @createData: 2020-04-29 10:37
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-29 10:37
 * @updateContent: 会员车辆
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface MemeberCarService {


    boolean add(ThsMemberCarPO thsMemberCarPO);

    boolean update(ThsMemberCarPO thsMemberCarPO);

    boolean delete(Integer id);

    boolean delete(String parkCode,String carNo);

    /**
     * 根据车牌号，会员类型、车厂编号得到会员详情
     * @param parkCode
     * @param carNo
     * @param carType
     * @return
     */
    ThsMemberCarPO selectMemberCarDataInfo(String parkCode,String carNo, Integer carType);
}
