package com.huaching.parking.local.parking_local_general.service.zhaf;

import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.domain.zhaf.dto.BarriergateReportDTO;

/**
 * @program: parking_local_general
 * @description: 上报处理service
 * @author: lidongsheng
 * @createData: 2020-04-17 17:37
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 17:37
 * @updateContent: 上报处理service
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface ReportService {

    /**
     * 过车上报转换local得入场或者出场上报
     * @param barriergateReportDTO
     * @return
     */
    ResponseResult barriergateReport(BarriergateReportDTO barriergateReportDTO);
}
